"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MatrixMessage = exports.MatrixMessageType = void 0;
const events_1 = require("../utils/events");
var MatrixMessageType;
(function (MatrixMessageType) {
    MatrixMessageType["TEXT"] = "m.text";
})(MatrixMessageType || (exports.MatrixMessageType = MatrixMessageType = {}));
class MatrixMessage {
    /**
     * Construct a message from a message event
     *
     * @param event
     */
    static from(event) {
        if ((0, events_1.isTextMessageEvent)(event)) {
            return new MatrixMessage(event.content.msgtype, event.sender, event.content.body, event.origin_server_ts);
        }
        // for now only text messages are supported
        return undefined;
    }
    constructor(type, sender, content, timestamp) {
        this.type = type;
        this.sender = sender;
        this.content = content;
        this.timestamp = timestamp;
    }
}
exports.MatrixMessage = MatrixMessage;
//# sourceMappingURL=MatrixMessage.js.map